summaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..2f6a403
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+IMAGE=registry.jan.systems/jan-systems-2024:latest
+
+# Build
+docker build --platform linux/amd64 -t "$IMAGE" .
+docker push "$IMAGE"
+
+# Deploy
+ssh jan.systems 'cd deployments/garden && bash dc-restart.sh'
+